unit TestMainFrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, SubClasser, FileDropper, StdCtrls;
type
  TForm1 = class(TForm)
    Memo: TMemo;
    LogMemo: TMemo;
    Button1: TButton;
    FileDropper1: TFileDropper;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    f: TFileDropper;
    procedure OnDropFile(const AFileName: string);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
//  f := TFileDropper.Create(Self);
  //f.Control := Memo;
  //f.OnDropFile := OnDropFile;
end;

procedure TForm1.OnDropFile(const AFileName: string);
begin
 // LogMemo.Lines.Add(AFileName);
end;

end.
